Get locales
GET
{{server}}/api/v1/smart/locales/00000000-0000-4000-0004-000000000001This request returns the language texts for localization.
Request
Authorization
| Header | Value |
|---|---|
Authorization | SmartToken {{smartToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/smart/locales/00000000-0000-4000-0004-000000000001' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'
const response = await fetch("{{server}}/api/v1/smart/locales/00000000-0000-4000-0004-000000000001", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/smart/locales/00000000-0000-4000-0004-000000000001"
headers = {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/smart/locales/00000000-0000-4000-0004-000000000001Headers (1)
| Key | Value |
|---|---|
Accept | application/json |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 10998 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"common": {
"productName": "Queue Management System",
"okButton": "OK",
"cancelButton": "Cancel",
"closeButton": "Close",
"yesButton": "Yes",
"noButton": "No",
"refreshButton": "Refresh",
"deleteButton": "Delete",
"enterButton": "Enter",
"saveButton": "Save",
"editButton": "Edit",
"cloneButton": "Clone",
"copyButton": "Copy",
"pasteButton": "Paste",
"branch": "Branch",
"branches": "Branches",
"language": "Language",
"search": "Search",
"connectionLost": "Connection lost. Reconnecting...",
"connectingToServer": "Connecting to server",
"noPermission": "You have no permission to access this site!",
"backToHome": "Back to home",
"signedIn": "Signed in",
"login": "Login",
"logout": "Logout",
"default": "Default",
"indexPage": "Index page",
"registeredTo": "Registered to",
"licenseIssue": "License problem",
"cloneCopy": "{0} (copy)",
"statistics": "Statistics",
"warning": "Warning",
"requestError": "Request error!",
"areSure": "Are you sure?",
"statusActive": "Active",
"statusInactive": "Inactive",
"statusDeleted": "Deleted",
"enabled": "Enabled",
"disabled": "Disabled",
"announcements": {
"new": "New",
"inbox": "Inbox",
"outbox": "Outbox",
"sentTo0recipients": "Announcement sent to {0} recipient(s)",
"fillAllFields": "Please fill all fields",
"fieldRequired": "Field is required",
"noAnnouncements": "No announcements.",
"0sent1": "{0} sent {1}",
"subject": "Subject",
"body": "Body",
"recipients": "Recipients",
"loadMore": "Load more",
"levels": {
"info": "Info",
"warning": "Warning",
"error": "Error"
},
"priorities": {
"1": "High",
"2": "Medium",
"3": "Low"
},
"everybody": "Everybody",
"send": "Send",
"unableToSend": "Unable to send message.",
"showAll": "Show all",
"unread": "Unread",
"level": "Level",
"priority": "Priority"
},
"entityTypes": {
"singular": {
"2": "user",
"3": "branch",
"4": "language",
"5": "branch group",
"6": "role",
"7": "service",
"8": "ticket dispenser profile",
"9": "layout",
"10": "device",
"11": "rule",
"12": "device group",
"13": "code",
"14": "question",
"15": "answer",
"16": "customer feedback profile",
"17": "advertisement",
"18": "advertisement group",
"19": "number interval",
"20": "server",
"21": "exception day",
"22": "advanced setting",
"23": "service group",
"24": "user group",
"25": "service matrix",
"26": "certificate",
"27": "role mapping",
"9-ticket": "ticket layout",
"9-monitoring": "monitoring page",
"9-statistics": "statistics page",
"9-player": "media profile",
"10-deviceController": "device controller",
"10-communicationBox": "SD20",
"10-dispenser": "ticket dispenser",
"10-printer": "printer",
"10-display": "display",
"10-counter": "counter",
"10-voiceRecorder": "voice recorder",
"10-cardReader": "card reader",
"10-soundPlayer": "sound player",
"10-feedback": "feedback",
"11-activities": "system activity",
"11-system": "system alert",
"11-monitoring": "monitoring alert",
"13-closing": "closing code",
"13-logout": "logout code",
"13-status": "status code",
"13-abort": "abort code"
},
"plural": {
"2": "users",
"3": "branches",
"4": "languages",
"5": "branch groups",
"6": "roles",
"7": "services",
"8": "ticket dispenser profiles",
"9": "layouts",
"10": "devices",
"11": "rules",
"12": "device groups",
"13": "codes",
"14": "questions",
"15": "answers",
"16": "customer feedback profiles",
"17": "advertisements",
"18": "advertisement groups",
"19": "number intervals",
"20": "servers",
"21": "exception days",
"22": "advanced settings",
"23": "service groups",
"24": "user groups",
"25": "service matrixes",
"26": "certificates",
"27": "role mappings"
}
},
"moduleTypes": {
"sh60": "Q-net Pro 7 Monitoring",
"sh61": "Q-net Pro 7 Smart phone application for Smart Ticket, Appointment, Customer feedback",
"sh62": "Q-net Pro 7 Waiting area display module for 3rd party digital signage software",
"sh63": "Q-net Pro 7 Advanced style editor",
"sh65": "Q-net Pro 7 Waiting Area Visualization",
"sh66": "Q-net Pro 7 Waiting Area Visualization Premium",
"sh67": "Q-net Pro 7 Voice recording, per branch",
"sh68": "Q-net Pro 7 Voice recording, per mike",
"sh69": "Q-net Pro 7 Waiting area display with digital signage features (simplified)",
"sh70": "Q-net Pro 7 Main software package",
"sh71": "Q-net Pro 7 Statistics",
"sh72": "Q-net Pro 7 Appointment",
"sh73": "Q-net Pro 7 Monitoring alert",
"sh74": "Q-net Pro 7 Ticket dispenser",
"sh75": "Q-net Pro 7 Customer feedback per branch",
"sh76": "Q-net Pro 7 Waiting area display with digital signage features",
"sh77": "Q-net Pro 7 Customer feedback per counter",
"sh78": "Q-net Pro 7 Software calling unit",
"sh79": "Q-net Pro 7 LCD counter display for 3rd party devices",
"sh81": "Q-net Pro 7 Customer message",
"sh82": "Q-net Pro 7 Smart ticket",
"sh83": "Q-net Pro 7 Give-a-nick, to enter a nickname to call",
"sh84": "Q-net Pro 7 CRM integration"
},
"certificateStatuses": {
"0": "Not checked",
"1": "Valid",
"2": "Invalid",
"3": "Not Found",
"4": "Expired",
"5": "Grace period"
},
"certificateErrorMessages": {
"0": "License is not checked",
"1": "License is valid",
"2": "Invalid license",
"3": "License not found",
"4": "License is expired",
"5": "Invalid license but in grace period ({0} days left)"
},
"certificateTypes": {
"real": "Real",
"demo": "Demo",
"pilot": "Pilot",
"dev": "Developer"
},
"ticketStatuses": {
"10": "Reserved",
"20": "Waiting",
"21": "Not callable",
"30": "Calling",
"40": "Missing",
"50": "Final missing",
"60": "Under transaction",
"70": "On waiting list",
"80": "Deleted",
"90": "Closed",
"100": "Waiting for afterwork",
"110": "Afterwork"
},
"priorities": {
"1": "Lowest (1)",
"2": "Low (2)",
"3": "Low (3)",
"4": "Low (4)",
"5": "Normal (5)",
"6": "High (6)",
"7": "High (7)",
"8": "High (8)",
"9": "Highest (9)"
},
"components": {
"centralView": "Central view",
"manageCentralSettings": "Manage central settings",
"branchView": "Branch view",
"loadMoreDots": "Load more...",
"selectImage": "Select image",
"sortBy": "Sort by",
"mediaStorage": "Media storage",
"unableLoadingMedia": "Unable to load media files.",
"notSelected": "< not selected >",
"favorites": "Favorites",
"addToFavorites": "Add to favorites",
"removeFromFavorites": "Remove from favorites",
"mediaSortOptions": {
"name_asc": "Name (Asc)",
"name_desc": "Name (Desc)",
"time_asc": "Time (Asc)",
"time_desc": "Time (Desc)",
"size_asc": "Size (Asc)",
"size_desc": "Size (Desc)"
}
}
},
"smart": {
"appName": "Smart ticket",
"onlineQueuing": "Online queuing",
"welcome": "Welcome in our shop!",
"welcomeDescription": "This is our Smart Ticket site. You can take your ticket number on your phone without paper ticket. In addition, you can check your actual estimated waiting time and your position in the queue.",
"selectService": "Select a service",
"doNotClose": "Please do NOT close this browser page!",
"errorIdentifierTooShort": "Identifier is too short",
"errorIdentifierTooLong": "Identifier is too long",
"enablePush": "Please enable push notifications in order to receive notification when your ticket number is called but the page is not in focus. Don't worry, we will NEVER send spam & advertisement messages.",
"selectedService": "Selected service(s)",
"selectedBranch": "Selected branch",
"waitingClients": "Waiting clients",
"estimatedWaiting": "Estimated waiting time",
"positionInQueue": "Position in the queue",
"currentWaiting": "Current waiting time",
"callingYourNumber": "Calling your number",
"atCounter": "at counter",
"cancelTicket": "Cancel ticket",
"sureToCancel": "Are you sure to cancel your ticket?",
"whyCancel": "Please tell us why do you cancel?",
"totalWaiting": "Total waiting time",
"currentTime": "Current transaction time",
"underTransaction": "Under transaction at counter",
"shareYourExp": "Please share your experiences. Your feedback helps us to improve our services.",
"skipButton": "Skip",
"submitButton": "Submit",
"whatDoBetter": "What could we do better?",
"thankForVisit": "Thank you for your visit.",
"niceDay": "Have a nice day!",
"closed": "Closed",
"ticketIsClosed": "This ticket has been closed. Please close the browser tab",
"yourTicketNumber": "Your ticket number is ",
"appointment": "Appointment",
"standInQueue": "Stand in the queue",
"standInQueueNotAvailable": "Stand in the queue is not available",
"openingHours": "Opening hours",
"bookAnAppointment": "Book an appointment",
"enterAppointment": "Enter your appointment code",
"appointmentCodeFound": "Appointment code found, ticket created",
"appointmentButton": "Appointment",
"serverIsOffline": "Server is offline",
"cancelButton": "Cancel",
"calendarEventTitle": "Appointment at {0} for {1}",
"okButton": "OK",
"addMoreButton": "Add more service",
"bookingCode": "Booking code",
"yesButton": "Yes",
"noButton": "No",
"missedCall": "Missed call",
"missedCallRecall": "You missed your call and will be called again in 10 minute(s).",
"putBack": "Put back in the queue",
"error": "Error",
"next": "next",
"back": "Back",
"pleaseSelectClerk": "Please select a clerk",
"enterTicketNumber": "Enter your ticket number",
"verifyButton": "Verify",
"invalidTicketNumber": "Invalid ticket number",
"submitFeedback": "Submit feedback",
"nextAvailableClerk": "Next available clerk",
"enterIdNumber": "Enter ID number",
"authenticate": "Authenticate",
"customerNotFound": "Customer not found",
"authSuccess": "Authentication successful",
"bookingSuccess": "Booking successful",
"bookingFull": "The specified time-slot is full, no more appointments can be registered!",
"bookingFullForClient": "The number of reservations allowed for one person has reached the maximum!",
"bookingSlotNotFound": "The specified time-slot is not available for booking!",
"bookingFailed": "Unable to finish booking",
"imHere": "I am here",
"reservationExpires": "Reservation expires in",
"ticketExpired": "Ticket expired",
"selectBranch": "Select a branch",
"locationConfirmed": "Location confirmed. Your ticket is on the waiting list",
"locationNotConfirmed": "Could not confirm your location",
"notCloseEnough": "Based on the GPS location, you are not close enough yet.",
"invalidQR": "Invalid QR code, please try again",
"readQr": "Please read the Smart Ticket QR code in the branch",
"readNFC": "Touch the NFC tag with your phone",
"scanAgain": "Tap to scan again",
"ticketDeleted": "Ticket deleted",
"unableDeleteTicket": "Unable to delete ticket",
"bookingDeleted": "Appointment deleted",
"unableDeleteBooking": "Unable to delete appointment",
"reservationDetails": "Reservation details",
"reservationCode": "Your reservation code",
"finalizeReservation": "Finalize the process by clicking on the link in the confirmation e-mail.",
"name": "Full name",
"email": "E-mail address",
"phone": "Phone number",
"fillFields": "Please fill all fields",
"invalidEmail": "Invalid e-mail address",
"deleteAppointment": "Delete appointment",
"confirmAppointment": "Confirm appointment",
"selectedTime": "Selected time",
"alreadyConfirmed": "Appointment is confirmed",
"appointmentNotExists": "Appointment not exists",
"addToCalendar": "Add to calendar",
"showOnMap": "Show on map",
"distanceTab": "Distance",
"branchGroupsTab": "Branch groups",
"pleaseSelectDate": "Please select a date",
"pleaseSelectTimeSlot": "Please select a time slot",
"confirmation": "Confirmation",
"available": "Available",
"basedOnGPS": "Based on GPS position",
"readingQR": "Reading QR code",
"readingNFC": "Reading NFC tag",
"sessionIsOver": "Session is over",
"confirmLocation": "Confirm your location by one of the following options",
"branchIsClosed": "Branch is closed",
"noProfile": "No configured profile",
"errorInputTooShort": "Input too short",
"reservationLimitReached": "Maximum number of reserved tickets reached!",
"ticketLimitReached": "Maximum number of tickets reached!",
"confirmButton": "Confirm"
}
}